<?php

declare(strict_types=1);

namespace Apexl\Io\User\EntityFactories;

use Apexl\Io\Factories\EntityFactory;
use Apexl\Io\User\Entities\RoleEntity;

/**
 * @method roleEntity create(array $attrs = [], bool $store = true)
 */
readonly class RoleEntityFactory extends EntityFactory
{
    protected function definition(array $attrs): array
    {
        return [
            'name' => $this->faker->name(),
        ];
    }
}